import dayjs from 'dayjs';

export function getMainCoverUrl(covers: API.CoverInfo[]) {
  if (covers.length > 0) {
    const mainCover = covers.find((x) => x.isMain);
    return mainCover ? mainCover.url : covers[0].url;
  }
  return '';
}

export function getMinPrice(priceVersions: API.PriceVersionInfo[]) {
  const _priceVersions = priceVersions.sort((a, b) => a.price - b.price);
  return _priceVersions?.[0] ?? null;
}

export function getToHoldTime(toHoldStartTime: string, toHoldEndTime: string) {
  const isSameYear = dayjs(toHoldStartTime).isSame(dayjs(toHoldEndTime), 'year');
  return `${toHoldStartTime ? dayjs(toHoldStartTime).format('YYYY.MM.DD') : ''}-${
    toHoldEndTime ? dayjs(toHoldEndTime).format(isSameYear ? 'MM.DD' : 'YYYY.MM.DD') : ''
  }`;
}

export function getToHoldTimeV2(toHoldStartTime: string, toHoldEndTime: string) {
  return `${toHoldStartTime ? dayjs(toHoldStartTime).format('YYYY.MM.DD') : ''}至${
    toHoldEndTime ? dayjs(toHoldEndTime).format('YYYY.MM.DD') : ''
  }`;
}
